Page MenuHomePhabricator

Provide HTTPS links in CodeReview emails
Closed, DeclinedPublic

Description

I noticed this while in Berlin, when I didn't want to login through http to mediawiki.org. The links in the emails go to the http site, which means I can't place comments. Going to the https version is difficult until bug 20643 is fixed.

Other alternative could be a preference that forces a redirect to https (like LWN does it).


Version: unspecified
Severity: normal

Details

Reference
bz29008

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:33 PM
bzimport set Reference to bz29008.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.May 16 2011, 3:21 PM

Actually it's worse than that -- like some other notification bits it's probably just using whatever the current URL scheme is based on the web request that triggered the mail send.

So if someone on SSL makes a comment, you get a link to https://secure.wikimedia.org -- if they're not on SSL, you get the http://mediawiki.org link.

This unfortunately has nothing to do with the *receiving* user's own usage or preferences, so that's pretty much not great...

(In reply to comment #1)

Actually it's worse than that -- like some other notification bits it's
probably just using whatever the current URL scheme is based on the web request
that triggered the mail send.

Just confirming for the record, this is exactly what's happening.

Also see bug 31826 which requests this for the link in mediawiki-cvs e-mails.

Aklapper lowered the priority of this task from Low to Lowest.Jan 8 2015, 4:48 PM
Aklapper added a subscriber: Aklapper.

Setting lowest priority as CodeReview emails are not triggered anymore from Wikimedia at least. AFAIK.

Going to the https version is difficult until bug 20643 is fixed.

T22643 is fixed now.

Also see bug 31826 which requests this for the link in mediawiki-cvs e-mails.

T33826 is fixed now.

chasemp set Security to None.
demon removed a subscriber: demon.Jan 8 2015, 9:07 PM
Krinkle removed a subscriber: Krinkle.Jan 30 2015, 9:02 PM

Proposing to close as declined.

I don't think there is anything left to do here, see last grep'ed line:

$:andre\> grep -r "http" .
./maintenance/showEmails.php:		'URL'     => 'http://www.example.org/CR/repo/r88888',
./maintenance/showEmails.php:		'prevURL'     => 'http://www.example.org/CR/repo/r52100',
./tests/CodeReviewApiTest.php:				'repo_viewvc'   => 'http://example.com/view/',
./tests/CodeReviewApiTest.php:				'repo_bugzilla' => 'http://www.example.com/$1',
./tests/CodeReviewTest.php:		$row->repo_viewvc = 'http://example.com/view/';
./tests/CodeReviewTest.php:		$row->repo_bugzilla = 'http://example.com/$1';
./tests/CodeReviewTest.php:		$this->assertEquals( '[http://foo http://foo]', $formatter->link( 'http://foo' ) );
./tests/CodeReviewTest.php:		$this->assertEquals( '[http://example.com/123 bug 123]', $formatter->link( 'bug 123' ) );
./CodeReview.php:// Defaults here should allow working with both http: and https: repos
Restricted Application added a project: Operations. · View Herald TranscriptFeb 23 2016, 6:13 PM

indeed this looks closable/declined to me, @brion @Krinkle @siebrand ?

yuvipanda closed this task as Declined.Apr 29 2016, 1:28 PM
yuvipanda added a subscriber: yuvipanda.

Let's do it!